
Redmine - Defect #2279

Wrong time calculation in "Time spent"

2008-12-05 14:00 - Denys Rogovchenko

Status: Closed Start date: 2008-12-05

Priority: Normal Due date: 2008-12-31

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

If you have 4 tasks with spent time values: 1, 0.10 , 0.15, 0.40 in Project overview->Details you can see Total: 1.65 hours instead

2.05 hours...

History

#1 - 2008-12-05 15:27 - Mischa The Evil

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution changed from Wont fix to Invalid

Denys Rogovchenko wrote:

If you have 4 tasks with spent time values: 1, 0.10 , 0.15, 0.40 in Project overview->Details you can see Total: 1.65 hours instead 2.05 hours...

This is a wrong assumption since you enter those four spent-time values using decimal time format. This means that:

1.00 equals 1 hour (60 minutes)

0.10 equals 6 minutes

0.15 equals 9 minutes

0.40 equals 24 minutes

1.65 equals 99 minutes

2.05 hours (125 minutes) equals 2.0833333333333335 (est.) in decimal notation

Offcourse there can possibly be a very tiny difference (as you can see) due to the rounding to two decimals done by Redmine.

References:

http://www.redmine.org/wiki/redmine/Time_tracking

http://en.wikipedia.org/wiki/Decimal_time

http://www.springfrog.com/converter/decimal-time.htm

#2 - 2008-12-05 15:53 - Mischa The Evil

I have used this issue's content to add a FAQ-item.

Thanks...

#3 - 2012-05-25 22:42 - Gabriel Mazetto

Why can't we store it in minutes instead of hours?

#4 - 2012-05-25 22:55 - Jean-Philippe Lang

You can enter 10m or 10min.
